# Install and manage the Apono CLI

The Apono CLI enables you and your team to view, request, and receive permission to services, databases, and applications that are centrally managed via Apono.

***

### Install the Apono CLI

To begin managing your access requests using the Apono CLI, you must install it on your specific platform.

<details>

<summary>macOS</summary>

Follow these steps to install the Apono CLI using Homebrew:

1. In Terminal, clone the **apono-io/tap** repository into Homebrew's directory of tapped repositories on your local machine.

   ```shell
   brew tap apono-io/tap
   ```
2. Install the Apono CLI.

   ```shell
   brew install apono-cli
   ```

</details>

<details>

<summary>Windows</summary>

Follow these steps to install the Apono CLI using Scoop:

1. In Command Prompt or PowerShell, add the Apono Scoop bucket to your Scoop configuration.

   <pre class="language-powershell" data-overflow="wrap"><code class="lang-powershell">scoop bucket add apono https://github.com/apono-io/scoop-bucket
   </code></pre>
2. Install the Apono CLI.

   ```powershell
   scoop install apono/apono-cli
   ```

</details>

<details>

<summary>Linux</summary>

**Debian**

Follow these steps to install the Apono CLI:

1. From the [Apono CLI GitHub releases page](https://github.com/apono-io/apono-cli/releases), download the correct package for your system's ARM64 (AArch64) or AMD64 (x86\_64) architecture.
2. In the Linux terminal, install the package. Be sure to replace `x.x.x` with the package version number.

*ARM (AArch64)*

```bash
sudo dpkg -i apono-cli_x.x.x_linux_arm64.deb
```

*AMD (x86\_64)*

```bash
sudo dpkg -i apono-cli_x.x.x_linux_amd64.deb
```

***

**RPM**

Follow these steps to install the Apono CLI:

1. From the [Apono CLI GitHub releases page](https://github.com/apono-io/apono-cli/releases), download the correct package for your system's ARM64 (AArch64) or AMD64 (x86\_64) distribution.
2. In the Linux terminal, install the package. Be sure to replace `x.x.x` with the package version number.

*ARM (AArch64)*

```bash
sudo rpm -i apono-cli_x.x.x_linux_arm64.rpm
```

*AMD (x86\_64)*

```bash
sudo rpm -i apono-cli_x.x.x_linux_amd64.rpm
```

***

**Homebrew**

Follow these steps to install the Apono CLI using Homebrew:

1. In Terminal, clone the **apono-io/tap** repository into Homebrew's directory of tapped repositories on your local machine.

   ```shell
   brew tap apono-io/tap
   ```
2. Install the Apono CLI.

   ```shell
   brew install apono-cli
   ```

</details>

***

### Update the Apono CLI

Periodically, you may need to update the Apono CLI to help maintain functionality, performance, and security.

<details>

<summary>macOS</summary>

Follow this step to update the Apono CLI using Homebrew:

1. In Terminal, update the Apono CLI.

   ```shell
   brew update && brew upgrade apono-cli
   ```

</details>

<details>

<summary>Windows</summary>

Follow this step to update the Apono CLI using Scoop:

1. In Command Prompt or PowerShell, update the Apono CLI.

   <pre class="language-powershell" data-overflow="wrap"><code class="lang-powershell">scoop update &#x26;&#x26; scoop upgrade apono-cli
   </code></pre>

</details>

<details>

<summary>Linux</summary>

**Debian**

Follow these steps to install the Apono CLI:

1. From the [Apono CLI GitHub releases page](https://github.com/apono-io/apono-cli/releases), download the correct package for your system's ARM64 (AArch64) or AMD64 (x86\_64) architecture.
2. In the Linux terminal, install the package. Be sure to replace `x.x.x` with the package version number.

*ARM (AArch64)*

```bash
sudo dpkg -i apono-cli_x.x.x_linux_arm64.deb
```

*AMD (x86\_64)*

```bash
sudo dpkg -i apono-cli_x.x.x_linux_amd64.deb
```

***

**RPM**

Follow these steps to install the Apono CLI:

1. From the [Apono CLI GitHub releases page](https://github.com/apono-io/apono-cli/releases), download the correct package for your system's ARM64 (AArch64) or AMD64 (x86\_64) distribution.
2. In the Linux terminal, install the package. Be sure to replace `x.x.x` with the package version number.

*ARM (AArch64)*

```bash
sudo rpm -i apono-cli_x.x.x_linux_arm64.rpm
```

*AMD (x86\_64)*

```bash
sudo rpm -i apono-cli_x.x.x_linux_amd64.rpm
```

***

**Homebrew**

Follow this step to update the Apono CLI using Homebrew:

1. In Terminal, update the Apono CLI.

   ```shell
   brew update && brew upgrade apono-cli
   ```

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.apono.io/docs/access-requests-and-approvals/cli/install-and-manage-the-apono-cli.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
